mars.h File Reference

Classes for the MARS block cipher (IBM AES submission) More...

Go to the source code of this file.

## Classes

class | MARS_Info
| MARS block cipher information. More...
class | MARS
| MARS block cipher. More...

## Typedefs

typedef MARS::Encryption | MARSEncryption
typedef MARS::Decryption | MARSDecryption

## Detailed Description

Classes for the MARS block cipher (IBM AES submission)

Definition in file mars.h.